<?php
    /* vim: set expandtab tabstop=4 shiftwidth=4: */
    // +----------------------------------------------------------------------+
    // | PHP version 5                                                        |
    // +----------------------------------------------------------------------+
    // | Copyright (c) 1997-2004 The PHP Group                                |
    // +----------------------------------------------------------------------+
    // | This source file is subject to version 3.0 of the PHP license,       |
    // | that is bundled with this package in the file LICENSE, and is        |
    // | available through the world-wide-web at the following url:           |
    // | http://www.php.net/license/3_0.txt.                                  |
    // | If you did not receive a copy of the PHP license and are unable to   |
    // | obtain it through the world-wide-web, please send a note to          |
    // | license@php.net so we can mail you a copy immediately.               |
    // +----------------------------------------------------------------------+
    // | Authors: Claudio Bustos <cdx@users.sourceforge.net>                  |
    // |          Jens Bierkandt <schtorch@users.sourceforge.net>             |
    // +----------------------------------------------------------------------+
    //
    // $Id:
    require_once "PHPUnit.php";
    require_once "PHP/Beautifier.php";
    class Beautifier_Bugs extends PHPUnit_TestCase {
        function Beautifier_Bugs($name) 
        {
            $this->PHPUnit_TestCase($name);
        }
        function setUp() 
        {
            $this->oBeaut = new PHP_Beautifier();
        }
        function setText($sText) 
        {
            $this->oBeaut->setInputString($sText);
            $this->oBeaut->process();
        }
        /**
        * Bug 1597
        * Brace after short comment in new line was appended to
        * the comment, breaking the code
        */
        function testBug1597() 
        {
            $sText = <<<SCRIPT
<?php
if (\$_POST["url"] != "") //inserting data
{
}
?>
SCRIPT;
            $this->setText($sText);
            $sExpected = <<<SCRIPT
<?php
    if (\$_POST["url"] != "") //inserting data
    {
    }
?>
SCRIPT;
        $this->assertEquals($sExpected,$this->oBeaut->get());
        }
    }
    $suite = new PHPUnit_TestSuite('Beautifier_Bugs');
    $result = PHPUnit::run($suite);
    echo $result->toString();
?>